import {
  AppDataMutationTypes,
  AppDataActionTypes,
  AppCheckMutationTypes,
  AppCheckActionTypes,
  AppDefsMutationTypes,
  AppDefsActionTypes,
  AppProfileMutationTypes,
  AppProfileActionTypes,
  AppLangMutationTypes,
  AppLangActionTypes,
} from './modules/app/index'

export const AppDataMutation = AppDataMutationTypes
export const AppDataAction = AppDataActionTypes
export const AppCheckMutation = AppCheckMutationTypes
export const AppCheckAction = AppCheckActionTypes
export const AppDefsMutation = AppDefsMutationTypes
export const AppDefsAction = AppDefsActionTypes
export const AppProfileMutation = AppProfileMutationTypes
export const AppProfileAction = AppProfileActionTypes
export const AppLangMutation = AppLangMutationTypes
export const AppLangAction = AppLangActionTypes

export interface LangCtxKey {
  ctx: string
  key: string
}

export interface LangItem {
  key: string
  text: string
}

export interface LangMain {
  [key: string]: string
}
export interface LangData {
  [key: string]: string
}
export interface LangForms {
  [key: string]: string
}

export interface AppLang {
  main: LangMain
  data: LangData
  forms: LangForms
}

export interface AppCtxLang {
  ctx: string
  lng: LangItem
}
export interface AppDefs {
  [key: string]: string
}

export interface AppProfile {
  [key: string]: string
}

export interface AppData {
  [key: string]: string
}

export interface AppCheck {
  [key: string]: string
}

/*
export interface AppStore {
  defs: AppDefs
  profile: AppProfile
  data: [AppData]
  lang: AppLang
}
*/
