import data_module, { State as DataState, MutationTypes as DataMutationTypes, ActionTypes as DataActionTypes, Store as DataStore } from './data'
import check_module, { State as CheckState, MutationTypes as CheckMutationTypes, ActionTypes as CheckActionTypes, Store as CheckStore } from './check'
import defs_module, { State as DefsState, MutationTypes as DefsMutationTypes, ActionTypes as DefsActionTypes, Store as DefsStore } from './defs'
import profile_module, { State as ProfileState, MutationTypes as ProfileMutationTypes, ActionTypes as ProfileActionTypes, Store as ProfileStore } from './profile'
import lang_module, { State as LangState, MutationTypes as LangMutationTypes, ActionTypes as LangActionTypes, Store as LangStore } from './lang'

export const AppDataMutationTypes = DataMutationTypes
export const AppCheckMutationTypes = CheckMutationTypes
export const AppDefsMutationTypes = DefsMutationTypes
export const AppProfileMutationTypes = ProfileMutationTypes
export const AppLangMutationTypes = LangMutationTypes

export const AppDataActionTypes = DataActionTypes
export const AppCheckActionTypes = CheckActionTypes
export const AppDefsActionTypes = DefsActionTypes
export const AppProfileActionTypes = ProfileActionTypes
export const AppLangActionTypes = LangActionTypes

export type AppDataState= DataState
export type AppCheckState= CheckState
export type AppDefsState= DefsState
export type AppProfileState= ProfileState
export type AppLangState= LangState

export type AppDataStore = DataStore
export type AppCheckStore = CheckStore
export type AppDefsStore = DefsStore
export type AppProfileStore = ProfileStore
export type AppLangStore = LangStore

export const app_data = data_module
export const app_check = check_module
export const app_defs = defs_module
export const app_profile = profile_module
export const app_lang = lang_module
